## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# No tests from upstream yet.
%bcond_with     tests

%global         srcname     azure-synapse-managedprivateendpoints

Name:           python-%{srcname}
Version:        0.4.0
Release:        %autorelease
Summary:        Microsoft Azure Synapse Managed Private Endpoints Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
# NOTE(mhayden): Still trying to get upstream to accept multiple PRs to add
# licenses to all PyPi packages, but they're moving slowly.
Source1:        https://github.com/Azure/azure-sdk-for-python/raw/%{srcname}_%{version}/LICENSE.txt

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Synapse Managed Private Endpoints Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}
cp %SOURCE1 .


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE.txt


%changelog
* Mon Sep 11 2023 Major Hayden <major@redhat.com> - 0.4.0-4
- Bump revision number

* Wed May 17 2023 Major Hayden <major@redhat.com> - 0.4.0-3
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 0.4.0-2
- S

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 0.4.0-1
- Update to 0.4.0 rhbz#2176124

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 0.3.0-6
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.3.0-5
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 0.3.0-4
- Fix BuildRequires

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 0.3.0-2
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 0.3.0-1
- Initial import (#2001918)
